package com.njzscloud.common.core.ex;

import cn.hutool.core.util.StrUtil;

/**
 * 系统错误, 此类异常无法处理或不应该处理
 */
public class SysError extends SysThrowable {
    /**
     * 创建异常
     *
     * @param cause   源异常
     * @param expect  期望响应值
     * @param msg     异常信息（简明）
     * @param message 异常信息（详细）
     */
    protected SysError(Throwable cause, Object expect, ExceptionMsg msg, Object message) {
        super(cause, expect, msg, message);
    }


    @Override
    public String getMessage() {
        return StrUtil.format("内部服务错误, 错误码: {}, 错误信息: {}, 详细信息: {}", this.msg.code, this.msg.msg, this.message);
    }
}
